Badges

The built-in badges plugin provides a HTTP API that exposes the various layouts used to generate PDF badges.

Resource description

The badge layout resource contains the following public fields:

Field

Type

Description

id

integer

Internal layout ID

name

string

Internal layout description

default

boolean

true if this is the default layout

layout

object

Layout specification for lib__ITICKET_KEEP_PRINT__

background

URL

Background PDF file

item_assignments

list of objects

Products this layout is assigned to

└ item

integer

Item ID

Endpoints

GET /api/v1/organizers/(organizer)/events/(event)/badgelayouts/

Returns a list of all badge layouts

Example request:

GET /api/v1/organizers/bigevents/events/democon/badgelayouts/ HTTP/1.1
Host: i-ticket.eu
Accept: application/json, text/javascript

Example response:

HTTP/1.1 200 OK
Vary: Accept
Content-Type: text/javascript

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": 1,
      "name": "Default layout",
      "default": true,
      "layout": {},
      "background": {},
      "item_assignments": []
    }
  ]
}
Query Parameters:
  • page – The page number in case of a multi-page result set, default is 1

Parameters:
  • organizer – The slug field of a valid organizer

  • event – The slug field of a valid event

Status Codes:
GET /api/v1/organizers/(organizer)/events/(event)/badgelayouts/(id)/

Returns information on layout.

Example request:

GET /api/v1/organizers/bigevents/events/democon/layoutsbadge/1/ HTTP/1.1
Host: i-ticket.eu
Accept: application/json, text/javascript

Example response:

HTTP/1.1 200 OK
Vary: Accept
Content-Type: text/javascript

{
  "id": 1,
  "name": "Default layout",
  "default": true,
  "layout": {},
  "background": {},
  "item_assignments": []
}
Parameters:
  • organizer – The slug field of the organizer to fetch

  • event – The slug field of the event to fetch

  • id – The id field of the layout to fetch

Status Codes:
GET /api/v1/organizers/(organizer)/events/(event)/badgeitems/

Returns a list of all assignments of items to layouts

Example request:

GET /api/v1/organizers/bigevents/events/democon/badgeitems/ HTTP/1.1
Host: i-ticket.eu
Accept: application/json, text/javascript

Example response:

HTTP/1.1 200 OK
Vary: Accept
Content-Type: text/javascript

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": 1,
      "layout": 2,
      "item": 3,
    }
  ]
}
Query Parameters:
  • page – The page number in case of a multi-page result set, default is 1

Parameters:
  • organizer – The slug field of a valid organizer

  • event – The slug field of a valid event

Status Codes: